Bug 325287 - dav resource often crashes maybe because flaky internet connection
Summary: dav resource often crashes maybe because flaky internet connection
Status: RESOLVED UNMAINTAINED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: DAV Resource (show other bugs)
Version: 4.11
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2013-09-25 08:54 UTC by Marc Schiffbauer
Modified: 2017-01-07 21:47 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (8.66 KB, text/plain)
2014-01-20 11:18 UTC, Marc Schiffbauer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Schiffbauer 2013-09-25 08:54:33 UTC
Application: akonadi_davgroupware_resource (4.11)
KDE Platform Version: 4.11.1 (Compiled from sources)
Qt Version: 4.8.4
Operating System: Linux 3.9.11-gentoo-r1 x86_64
Distribution: "NAME=Gentoo"

-- Information about the crash:
- What I was doing when the application crashed:

When having a flaky internet connection (WLAN with very poor signal) the akonadi imap resource crashes every now and then.

The crash can be reproduced sometimes.

-- Backtrace:
Application: sys4 vom Typ DAV-Groupware-Ressource (akonadi_davgroupware_resource), signal: Aborted
Using host libthread_db library "/lib64/libthread_db.so.1".
[KCrash Handler]
#6  0x00007f7401b23545 in raise () from /lib64/libc.so.6
#7  0x00007f7401b249c8 in abort () from /lib64/libc.so.6
#8  0x00007f740595d6b4 in qt_message_output (msgType=msgType@entry=QtFatalMsg, buf=<optimized out>) at global/qglobal.cpp:2323
#9  0x00007f740595d828 in qt_message(QtMsgType, const char *, typedef __va_list_tag __va_list_tag *) (msgType=msgType@entry=QtFatalMsg, msg=msg@entry=0x7f7405ac4a18 "ASSERT failure in %s: \"%s\", file %s, line %d", ap=ap@entry=0x7fffaa3bd548) at global/qglobal.cpp:2369
#10 0x00007f740595d9bc in qFatal (msg=msg@entry=0x7f7405ac4a18 "ASSERT failure in %s: \"%s\", file %s, line %d") at global/qglobal.cpp:2552
#11 0x00007f740595d9ea in qt_assert_x (where=where@entry=0x7f7404167894 "createItemSyncInstance", what=what@entry=0x7f74041671e8 "Calling items retrieval methods although no item retrieval is in progress", file=file@entry=0x7f7404166f78 "/var/tmp/portage/kde-base/kdepimlibs-4.11.49.9999/work/kdepimlibs-4.11.49.9999/akonadi/resourcebase.cpp", line=line@entry=171) at global/qglobal.cpp:2026
#12 0x00007f74040c1526 in Akonadi::ResourceBasePrivate::createItemSyncInstanceIfMissing (this=0x20bb6d0) at /var/tmp/portage/kde-base/kdepimlibs-4.11.49.9999/work/kdepimlibs-4.11.49.9999/akonadi/resourcebase.cpp:170
#13 0x00007f74040bc4c5 in Akonadi::ResourceBase::itemsRetrievedIncremental (this=this@entry=0x20bee90, changedItems=..., removedItems=...) at /var/tmp/portage/kde-base/kdepimlibs-4.11.49.9999/work/kdepimlibs-4.11.49.9999/akonadi/resourcebase.cpp:1091
#14 0x00000000004486e0 in DavGroupwareResource::onRetrieveItemsFinished (this=0x20bee90, job=<optimized out>) at /var/tmp/portage/kde-base/kdepim-runtime-4.11.49.9999/work/kdepim-runtime-4.11.49.9999/resources/dav/resource/davgroupwareresource.cpp:600
#15 0x00007f7405a768e4 in QMetaObject::activate (sender=sender@entry=0x25aca70, m=m@entry=0x7f7404dcc4c0 <KJob::staticMetaObject>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7fffaa3bdab0) at kernel/qobject.cpp:3539
#16 0x00007f7404a292d2 in KJob::result (this=this@entry=0x25aca70, _t1=_t1@entry=0x25aca70) at /var/tmp/portage/kde-base/kdelibs-4.11.49.9999/work/kdelibs-4.11.49.9999_build/kdecore/kjob.moc:208
#17 0x00007f7404a29310 in KJob::emitResult (this=this@entry=0x25aca70) at /var/tmp/portage/kde-base/kdelibs-4.11.49.9999/work/kdelibs-4.11.49.9999/kdecore/jobs/kjob.cpp:318
#18 0x0000000000426215 in DavItemsListJob::davJobFinished (this=0x25aca70, job=<optimized out>) at /var/tmp/portage/kde-base/kdepim-runtime-4.11.49.9999/work/kdepim-runtime-4.11.49.9999/resources/dav/common/davitemslistjob.cpp:193
#19 0x00007f7405a768e4 in QMetaObject::activate (sender=sender@entry=0x3d95040, m=m@entry=0x7f7404dcc4c0 <KJob::staticMetaObject>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7fffaa3bdff0) at kernel/qobject.cpp:3539
#20 0x00007f7404a292d2 in KJob::result (this=this@entry=0x3d95040, _t1=_t1@entry=0x3d95040) at /var/tmp/portage/kde-base/kdelibs-4.11.49.9999/work/kdelibs-4.11.49.9999_build/kdecore/kjob.moc:208
#21 0x00007f7404a29310 in KJob::emitResult (this=this@entry=0x3d95040) at /var/tmp/portage/kde-base/kdelibs-4.11.49.9999/work/kdelibs-4.11.49.9999/kdecore/jobs/kjob.cpp:318
#22 0x00007f74044fefa2 in KIO::SimpleJob::slotFinished (this=this@entry=0x3d95040) at /var/tmp/portage/kde-base/kdelibs-4.11.49.9999/work/kdelibs-4.11.49.9999/kio/kio/job.cpp:496
#23 0x00007f74044ff425 in KIO::TransferJob::slotFinished (this=this@entry=0x3d95040) at /var/tmp/portage/kde-base/kdelibs-4.11.49.9999/work/kdelibs-4.11.49.9999/kio/kio/job.cpp:1099
#24 0x00007f74044d9f6a in KIO::DavJob::slotFinished (this=0x3d95040) at /var/tmp/portage/kde-base/kdelibs-4.11.49.9999/work/kdelibs-4.11.49.9999/kio/kio/davjob.cpp:138
#25 0x00007f7405a768e4 in QMetaObject::activate (sender=sender@entry=0x224b3f0, m=m@entry=0x7f74048d34e0 <KIO::SlaveInterface::staticMetaObject>, local_signal_index=local_signal_index@entry=4, argv=argv@entry=0x0) at kernel/qobject.cpp:3539
#26 0x00007f74045a3b43 in KIO::SlaveInterface::finished (this=this@entry=0x224b3f0) at /var/tmp/portage/kde-base/kdelibs-4.11.49.9999/work/kdelibs-4.11.49.9999_build/kio/slaveinterface.moc:185
#27 0x00007f74045a62ec in KIO::SlaveInterface::dispatch (this=0x224b3f0, _cmd=104, rawdata=...) at /var/tmp/portage/kde-base/kdelibs-4.11.49.9999/work/kdelibs-4.11.49.9999/kio/kio/slaveinterface.cpp:176
#28 0x00007f74045a3952 in KIO::SlaveInterface::dispatch (this=0x224b3f0) at /var/tmp/portage/kde-base/kdelibs-4.11.49.9999/work/kdelibs-4.11.49.9999/kio/kio/slaveinterface.cpp:92
#29 0x00007f74045978ee in KIO::Slave::gotInput (this=0x224b3f0) at /var/tmp/portage/kde-base/kdelibs-4.11.49.9999/work/kdelibs-4.11.49.9999/kio/kio/slave.cpp:344
#30 0x00007f7405a768e4 in QMetaObject::activate (sender=0x21f8d60, m=m@entry=0x7f74048cca00 <KIO::Connection::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3539
#31 0x00007f74044c8100 in KIO::Connection::readyRead (this=<optimized out>) at /var/tmp/portage/kde-base/kdelibs-4.11.49.9999/work/kdelibs-4.11.49.9999_build/kio/connection.moc:106
#32 0x00007f74044c8945 in dequeue (this=<optimized out>) at /var/tmp/portage/kde-base/kdelibs-4.11.49.9999/work/kdelibs-4.11.49.9999/kio/kio/connection.cpp:82
#33 KIO::ConnectionPrivate::dequeue (this=0x25c1f60) at /var/tmp/portage/kde-base/kdelibs-4.11.49.9999/work/kdelibs-4.11.49.9999/kio/kio/connection.cpp:71
#34 0x00007f7405a7be0e in QObject::event (this=0x21f8d60, e=<optimized out>) at kernel/qobject.cpp:1194
#35 0x00007f740258d8ec in QApplicationPrivate::notify_helper (this=this@entry=0x1ef7e60, receiver=receiver@entry=0x21f8d60, e=e@entry=0x2224660) at kernel/qapplication.cpp:4562
#36 0x00007f7402590272 in QApplication::notify (this=this@entry=0x7fffaa3bf260, receiver=receiver@entry=0x21f8d60, e=e@entry=0x2224660) at kernel/qapplication.cpp:4423
#37 0x00007f74032ab186 in KApplication::notify (this=0x7fffaa3bf260, receiver=0x21f8d60, event=0x2224660) at /var/tmp/portage/kde-base/kdelibs-4.11.49.9999/work/kdelibs-4.11.49.9999/kdeui/kernel/kapplication.cpp:311
#38 0x00007f7405a6260e in QCoreApplication::notifyInternal (this=0x7fffaa3bf260, receiver=receiver@entry=0x21f8d60, event=event@entry=0x2224660) at kernel/qcoreapplication.cpp:946
#39 0x00007f7405a65bd9 in sendEvent (event=0x2224660, receiver=0x21f8d60) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#40 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x1eca1f0) at kernel/qcoreapplication.cpp:1570
#41 0x00007f7405a65ee3 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1463
#42 0x00007f7405a90653 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#43 postEventSourceDispatch (s=0x1ef9980) at kernel/qeventdispatcher_glib.cpp:279
#44 0x00007f7401607055 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#45 0x00007f7401607398 in ?? () from /usr/lib64/libglib-2.0.so.0
#46 0x00007f7401607454 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#47 0x00007f7405a907e6 in QEventDispatcherGlib::processEvents (this=0x1ecbad0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#48 0x00007f740262dfce in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#49 0x00007f7405a6135f in QEventLoop::processEvents (this=this@entry=0x7fffaa3bf1e0, flags=...) at kernel/qeventloop.cpp:149
#50 0x00007f7405a615e8 in QEventLoop::exec (this=this@entry=0x7fffaa3bf1e0, flags=...) at kernel/qeventloop.cpp:204
#51 0x00007f7405a667a8 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#52 0x00007f740258c23c in QApplication::exec () at kernel/qapplication.cpp:3823
#53 0x00007f74040ba6e3 in Akonadi::ResourceBase::init (r=r@entry=0x20bee90) at /var/tmp/portage/kde-base/kdepimlibs-4.11.49.9999/work/kdepimlibs-4.11.49.9999/akonadi/resourcebase.cpp:548
#54 0x0000000000450b03 in Akonadi::ResourceBase::init<DavGroupwareResource> (argc=<optimized out>, argv=<optimized out>) at /usr/include/akonadi/resourcebase.h:192
#55 0x00007f7401b0fbf5 in __libc_start_main () from /lib64/libc.so.6
#56 0x0000000000413da1 in _start ()

Possible duplicates by query: bug 277368.

Reported using DrKonqi
Comment 1 Marc Schiffbauer 2014-01-20 11:18:09 UTC
Created attachment 84746 [details]
New crash information added by DrKonqi

akonadi_davgroupware_resource (4.12) on KDE Platform 4.12.0 using Qt 4.8.5

- What I was doing when the application crashed:

This still happens. To reproduce you can try to just restart NetworkManager which will disconnect and reconnect your wifi connection. DAV crashes on reconnecttghen most of the time.

-- Backtrace (Reduced):
#11 0x00007f5b17e87b0a in qt_assert_x (where=where@entry=0x7f5b16669b32 "createItemSyncInstance", what=what@entry=0x7f5b16669538 "Calling items retrieval methods although no item retrieval is in progress", file=file@entry=0x7f5b16669458 "/var/tmp/portage/kde-base/kdepimlibs-4.12.49.9999/work/kdepimlibs-4.12.49.9999/akonadi/resourcebase.cpp", line=line@entry=167) at global/qglobal.cpp:2026
#12 0x00007f5b165bb366 in createItemSyncInstanceIfMissing (this=0x2462da0) at /var/tmp/portage/kde-base/kdepimlibs-4.12.49.9999/work/kdepimlibs-4.12.49.9999/akonadi/resourcebase.cpp:166
#13 Akonadi::ResourceBase::itemsRetrievedIncremental (this=this@entry=0x23b5490, changedItems=..., removedItems=...) at /var/tmp/portage/kde-base/kdepimlibs-4.12.49.9999/work/kdepimlibs-4.12.49.9999/akonadi/resourcebase.cpp:1053
#14 0x000000000044b4cd in DavGroupwareResource::onRetrieveItemsFinished (this=0x23b5490, job=<optimized out>) at /var/tmp/portage/kde-base/kdepim-runtime-4.12.49.9999/work/kdepim-runtime-4.12.49.9999/resources/dav/resource/davgroupwareresource.cpp:600
[...]
#16 0x00007f5b16f3ff02 in KJob::result (this=this@entry=0x2afed90, _t1=_t1@entry=0x2afed90) at /var/tmp/portage/kde-base/kdelibs-4.12.49.9999/work/kdelibs-4.12.49.9999_build/kdecore/kjob.moc:207
Comment 2 Denis Kurz 2016-09-24 20:35:24 UTC
This bug has only been reported for versions older than KDEPIM 4.14 (at most akonadi-1.3). Can anyone tell if this bug still present?

If noone confirms this bug for a recent version of akonadi (part of KDE Applications 15.08 or later), it gets closed in about three months.
Comment 3 Denis Kurz 2017-01-07 21:47:30 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.